<?php require_once("define.php");

Class Dbase
{
    private $Host = DB_HOSTNAME;
    private $UserName = DB_USERNAME;
    private $Password = DB_PASSWORD;
    private $DBname = DB_NAME;
    private $connDb = false;
    public $LastQuery = null;
    public $AffectedRows = 0;
    public $InsertKey = array();
    public $InsertValues = array();
    public $UpdateSets = array();
    //public $androidtoken = 'androidapp781231';
    public $id;

    public function __construct()
    {
        session_start();
        date_default_timezone_set("Asia/Karachi");
        $this->connect();
    }

    protected function connect()
    {
        $this->connDb = @mysqli_connect($this->Host, $this->UserName, $this->Password);
        if (!($this->connDb)) {
            die('Database Connection Failed.<br>' . mysqli_error($this->connDb));
        } else {
            $Select = mysqli_select_db($this->connDb, $this->DBname);
            if (!$Select) {
                die('Database Selection Failed.<br>' . mysqli_error($Select));
            }
        }
        mysqli_set_charset($this->connDb, 'utf8');
    }

    public function close()
    {
        if (!mysqli_close($this->connDb)) {
            die('Closing Connection Failed.<br>');
        }
    }


    public function query($sql)
    {
        return mysqli_query($this->connDb, $sql);
    }

    public function fetch($sql)
    {
        $result = $this->query($sql);
        $output = array();
        if ($result) {
            while ($row = mysqli_fetch_assoc($result)) {
                $output[] = $row;
            }
            mysqli_free_result($result);
        }

        return $output;
    }

    public function prepareInsert($array = null)
    {
        if (!empty($array)) {
            foreach ($array as $key => $value) {
                $this->InsertKey[] = $key;
                $this->InsertValues[] = $this->escape($value);
            }
        }
    }

    public function insert($table = null)
    {
        if (!empty($table) && !empty($this->InsertKey) && !empty($this->InsertValues)) {
            $sql = "insert into '{$table}' ('";
            $sql .= implode("','", $this->InsertKey);
            $sql .= "') values ('";
            $sql .= implode("','", $this->InsertValues);
            $sql .= "')";
            if ($this->query($sql)) {
                $this->id = $this->lastId();
                return true;
            }
            return false;
        } else {
            return false;
        }
    }

    public function prepareUpdate($array = null)
    {
        if (!empty($array)) {
            foreach ($array as $key => $value) {
                $this->UpdateSets[] = "`{$key}` = '" . $this->escape($value) . "'";
            }
        }
    }


    public function update($table = null, $id = null, $whereId)
    {
        if (!empty($table) && !empty($id) && !empty($this->UpdateSets)) {
            $sql = "update `{$table}` set";
            $sql .= implode(",", $this->UpdateSets);
//            $sql.="where id='".$this->escape($id)."'";
            $sql .= "where '" . $whereId . "'='" . $this->escape($id) . "'";
            return $this->query($sql);
        } else {
            return false;
        }
    }

    public function lastId()
    {
        return mysqli_insert_id($this->connDb);
    }

    public function TotalNumberOfRecords($sql)
    {
        $result = $this->query($sql);
        $output = mysqli_num_rows($result);
        return $output;
    }

    public function GetServerInfo()
    {
        return mysqli_get_server_info();
    }
	
}