<?php
	if(!isset($_SESSION)) {session_start();}
	/*
	 * Script:    DataTables server-side script for PHP and MySQL
	 * Copyright: 2010 - Allan Jardine
	 * License:   GPL v2 or BSD (3-point)
	 */
	
	/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
	 * Easy set variables
	 */
	
	/* Array of database columns which should be read and sent back to DataTables. Use a space where
	 * you want to insert a non-database field (for example a counter or static image)
	 */
	$aColumns = array( 'order_serial','order_date','picklist_date','customer_order_id','customer_order_number','courier_name',
	'picklist_id','device_id','order_count','out_count','printcn','printinvoice','inward_child','generate_cn');
	
//$aColumnsFilter = array( 'product_code', 'product_ref',  'product_name', 'product_price', 'product_sale_price');
	
	/* Indexed column (used for fast and accurate table cardinality) */
	$sIndexColumn = "picklist_id";
	
	/* DB table to use */
	$sTable = "picklist_report_view";
	
	/* Database connection information */
	include("repcon.php");
	
	/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
	 * If you just want to use the basic configuration for DataTables with PHP server-side, there is
	 * no need to edit below this line
	 */
	
	/* 
	 * MySQL connection
	 */
	$gaSql['link'] = mysqli_connect($gaSql['server'], $gaSql['user'], $gaSql['password']) or

die('Could not open connection to server');



mysqli_select_db($gaSql['link'], $gaSql['db']) or

die('Could not select database ' . $gaSql['db']);





/*

 * Paging

 */

$sLimit = "";

if (isset($_GET['iDisplayStart']) && $_GET['iDisplayLength'] != '-1') {

    $sLimit = "LIMIT " . mysqli_real_escape_string($gaSql['link'], $_GET['iDisplayStart']) . ", " .

        mysqli_real_escape_string($gaSql['link'], $_GET['iDisplayLength']);

}



/*

 * Ordering

 */

if (isset($_GET['iSortCol_0'])) {

    $sOrder = "ORDER BY  ";

    for ($i = 0; $i < intval($_GET['iSortingCols']); $i++) {

        if ($_GET['bSortable_' . intval($_GET['iSortCol_' . $i])] == "true") {

            $sOrder .= $aColumns[intval($_GET['iSortCol_' . $i])] . "

				 	" . mysqli_real_escape_string($gaSql['link'], $_GET['sSortDir_' . $i]) . ", ";

        }

    }



    $sOrder = substr_replace($sOrder, "", -2);

    if ($sOrder == "ORDER BY") {

        $sOrder = "";

    }

}



	

	

	/* 

	 * Filtering

	 * NOTE this does not match the built-in DataTables filtering which does it

	 * word by word on any field. It's possible to do here, but concerned about efficiency

	 * on very large tables, and MySQL's regex functionality is very limited

	 */

	//$search_category = $_GET['search_category'];
	
	/* 
	 * Filtering
	 * NOTE this does not match the built-in DataTables filtering which does it
	 * word by word on any field. It's possible to do here, but concerned about efficiency
	 * on very large tables, and MySQL's regex functionality is very limited
	 */
	$search_category = $_GET['search_category'];
	
	$srch = $_GET['sSearch'];
	$cdate = $_REQUEST["cdate"];
	$edate = $_REQUEST["edate"];
	
	
	$sWhere = "WHERE DATE( `picklist_date` ) between str_to_date('$cdate','%d/%m/%Y') and str_to_date('$edate','%d/%m/%Y')";
	
	
	if ( $_GET['sSearch'] != "" )
	{
	$sWhere .= " AND (order_serial like '%$srch%' OR picklist_date like '%$srch%' OR customer_order_id like '%$srch%' OR customer_order_number like '%$srch%' OR courier_name like '%$srch%' OR picklist_id like '%$srch%' OR device_id like '%$srch%' OR inward_child like '%$srch%') ";
		
	}
	
	/* Individual column filtering */

for ($i = 0; $i < count($aColumns); $i++) {

    if (isset($_GET['bSearchable_' . $i]) && $_GET['bSearchable_' . $i] == "true" && $_GET['sSearch_' . $i] != '') {

        if ($sWhere == "") {

            $sWhere = "WHERE ";

        } else {

            $sWhere .= " AND ";

        }

        $sWhere .= $aColumns[$i] . " LIKE '%" . mysqli_real_escape_string($gaSql['link'], $_GET['sSearch_' . $i]) . "%' ";

    }

}



	

	

	/*

	 * SQL queries

	 * Get data to display

	 */

	  $sQuery = "

		SELECT SQL_CALC_FOUND_ROWS " . str_replace(" , ", " ", implode(", ", $aColumns)) . "

		FROM   $sTable

		$sWhere

		$sOrder

		$sLimit

	";

	

	//echo $sQuery;

	

$rResult = mysqli_query($gaSql['link'], $sQuery) or die(mysqli_error($gaSql['link']));

	



/* Data set length after filtering */

$sQuery = "

		SELECT FOUND_ROWS()

	";

$rResultFilterTotal = mysqli_query($gaSql['link'], $sQuery) or die(mysqli_error($gaSql['link']));

$aResultFilterTotal = mysqli_fetch_array($rResultFilterTotal);

$iFilteredTotal = $aResultFilterTotal[0];



/* Total data set length */

$sQuery = "

		SELECT COUNT(" . $sIndexColumn . ")

		FROM   $sTable

	";

$rResultTotal = mysqli_query($gaSql['link'], $sQuery) or die(mysqli_error($gaSql['link']));

$aResultTotal = mysqli_fetch_array($rResultTotal);

$iTotal = $aResultTotal[0];



	

	

	/*

	 * Output

	 */

	$output = array(

		"sEcho" => intval($_GET['sEcho']),

		"iTotalRecords" => $iTotal,

		"iTotalDisplayRecords" => $iFilteredTotal,

		"aaData" => array()

	);

	

	while ( $aRow = mysqli_fetch_array( $rResult ) )

	{

		$row = array();
		for ( $i=0 ; $i<count($aColumns) ; $i++ )
		{
		
		
		   
		   /* $product_query = mysql_query( "SELECT
  picklist_status,
	count( DISTINCT customer_order_number ) AS custno,
	( SELECT count( DISTINCT customer_order_id ) FROM `customer_order` WHERE picklist_id = '{$aRow[ $aColumns[6] ]}' AND customer_order_id != '' ) AS custid 
FROM
	`customer_order` 
	left join picklist_master on picklist_master.picklist_id = customer_order.picklist_id
WHERE
	customer_order.picklist_id = '{$aRow[ $aColumns[6] ]}'", $gaSql['link'] ) or die(mysql_error());
					$product_run = mysql_fetch_assoc($product_query);
					$custno = $product_run['custno'];
					$custid = $product_run['custid'];
					$picklist_status = $product_run['picklist_status'];*/
					
					
		     if( $aColumns[$i] == "out_count")
			{
				//query for product details
				 
				
				if($aRow[ $aColumns[9]] > $aRow[ $aColumns[8]]){
				$style = "style='background-color:red;color:white;width:100px'";
				}else{
					$style = '';
				}
				
					/*$product_query = mysql_query( "SELECT count(order_bintype) as order_count FROM `inward_detail` Where order_bintype = '{$aRow[ $aColumns[10] ]}' and picklist_id = '{$aRow[ $aColumns[6] ]}'", $gaSql['link'] ) or die(mysql_error());
					$product_runs = mysql_fetch_assoc($product_query);*/
					
						$pickc = "<span href='javascript:void(0);' ".$style." >&nbsp;&nbsp&nbsp;&nbsp;".(($aRow[ $aColumns[9] ]))."&nbsp;&nbsp;&nbsp;&nbsp</span>";
				       
				
					
					$row[] = $pickc;
			
			}
			
			else if( $aColumns[$i] == "printcn")
			{
				//query for product details 
				
					//if($picklist_status != 1){ $cnlist = "<span>First Complete Process</span>";}else{
						$cnlist = "<a href='javascript:void(0);' onclick='PrintCN(\"".$aRow[ $aColumns[6] ]."\", event);' title='Print CN'>Print CN <br>
						(Counter1)</a>";
					//}
					 
				
					
					$row[] = $cnlist;
			
			}
			
			else if( $aColumns[$i] == "printinvoice")
			{
				//query for product details 
				
					//if($picklist_status != 1){ $cnlist = "<span>First Complete Process</span>";}else{
						$cnlist = "
						<a href='javascript:void(0);' onclick='PrintInvoices(\"".$aRow[ $aColumns[6] ]."\", event);' title='Print'>Print Invoices</a>";
				     
					//}
						
					 
				
					
					$row[] = $cnlist;
			
			}
			
			
			
			else if( $aColumns[$i] == "inward_child")
			{
				//query for product details 
				
					//if($picklist_status != 1){ $cnlist = "<span>First Complete Process</span>";}else{
						$cnlist = "<a href='javascript:void(0);' onclick='PrintCN2(\"".$aRow[ $aColumns[6] ]."\", event);' title='Print CN'>Print CN <br>
						(Counter2)</a>";
					//}
					 
				
					
					$row[] = $cnlist;
			
			}
			
			else if( $aColumns[$i] == "generate_cn")
			{
				//query for product details 
				
					//if($picklist_status != 1){ $cnlist = "<span>First Complete Process</span>";}else{
						$cnlist = "<a href='javascript:void(0);' onclick='PrintCN3(\"".$aRow[ $aColumns[6] ]."\", event);' title='Print CN'>Print CN <br>
						(Counter3)</a>";
					//}
					 
				
					
					$row[] = $cnlist;
			
			}
			
			/*else if( $aColumns[$i] == "generate_cn")
			{
				//query for product details 
				
				
					
					if($custno == $custid){
						
					$gnlist = "<button class='btn' style='background-color:green;'><span>Generated</span></button>";
					}else{
					$gnlist = "<button class='btn btn-small' onclick='GenerateCN(\"".$aRow[ $aColumns[6] ]."\", event);'><span>Generate CN</span></button>";	
					}
				     
					 
				
					
					$row[] = $gnlist;
			
			}*/
			
			
			
			else
			
			 if ( $aColumns[$i] != ' ')
			{
				
				$row[] = $aRow[ $aColumns[$i] ];
			}
		}
		$output['aaData'][] = $row;
	}
	
	echo json_encode( $output );
?>