<?php
	if(!isset($_SESSION)) {session_start();}
	/*
	 * Script:    DataTables server-side script for PHP and MySQL
	 * Copyright: 2010 - Allan Jardine
	 * License:   GPL v2 or BSD (3-point)
	 */
	
	/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
	 * Easy set variables
	 */
	
	/* Array of database columns which should be read and sent back to DataTables. Use a space where
	 * you want to insert a non-database field (for example a counter or static image)
	 */
	$aColumns = array( 'stack_date','sku_id', 'sname','description','brand','qty', 'binid','price',
						   'categories','acno');
	
//$aColumnsFilter = array( 'product_code', 'product_ref',  'product_name', 'product_price', 'product_sale_price');
	
	/* Indexed column (used for fast and accurate table cardinality) */
	$sIndexColumn = "sku_id";
	
	/* DB table to use */
	$type = $_GET['type'];
	if($type == "I"){
		$sTable = "stock_in_view";
	}
	else if($type == "A"){
		$sTable = "stock_av_view";
	}
	else if($type == "O"){
		$sTable = "stock_out_view";
	}
	
	/* Database connection information */
	include("repcon.php");
	
	/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
	 * If you just want to use the basic configuration for DataTables with PHP server-side, there is
	 * no need to edit below this line
	 */
	
	
	/* 

	 * MySQL connection

 */

$gaSql['link'] = mysqli_connect($gaSql['server'], $gaSql['user'], $gaSql['password']) or

die('Could not open connection to server');



mysqli_select_db($gaSql['link'], $gaSql['db']) or

die('Could not select database ' . $gaSql['db']);





/*

 * Paging

 */

$sLimit = "";

if (isset($_GET['iDisplayStart']) && $_GET['iDisplayLength'] != '-1') {

    $sLimit = "LIMIT " . mysqli_real_escape_string($gaSql['link'], $_GET['iDisplayStart']) . ", " .

        mysqli_real_escape_string($gaSql['link'], $_GET['iDisplayLength']);

}



/*

 * Ordering

 */

if (isset($_GET['iSortCol_0'])) {

    $sOrder = "ORDER BY  ";

    for ($i = 0; $i < intval($_GET['iSortingCols']); $i++) {

        if ($_GET['bSortable_' . intval($_GET['iSortCol_' . $i])] == "true") {

            $sOrder .= $aColumns[intval($_GET['iSortCol_' . $i])] . "

				 	" . mysqli_real_escape_string($gaSql['link'], $_GET['sSortDir_' . $i]) . ", ";

        }

    }



    $sOrder = substr_replace($sOrder, "", -2);

    if ($sOrder == "ORDER BY") {

        $sOrder = "";

    }

}



	

	

	/* 

	 * Filtering

	 * NOTE this does not match the built-in DataTables filtering which does it

	 * word by word on any field. It's possible to do here, but concerned about efficiency

	 * on very large tables, and MySQL's regex functionality is very limited

	 */

	//$search_category = $_GET['search_category'];
	// $search_category = $_GET['search_category'];
	
	//$srch = $_GET['sSearch'];
	// $cdate = $_REQUEST["cdate"];
	// $edate = $_REQUEST["edate"];
	// $status = $_REQUEST["status"];
	// $courier_name = $_REQUEST["courier_name"];
	// if($courier_name == 'MNP'){$courier_name = "M&P";}
	// $sWhere = "WHERE order_date between str_to_date('$cdate','%d/%m/%Y') and str_to_date('$edate','%d/%m/%Y')";
	
	// if ($status == "1" )
	// {$sWhere .= " AND picklist_id IS NOT NULL ";}
	
	// if ($status == "2" )
	// {$sWhere .= " AND picklist_id NULL ";}
	
	// if($courier_name != '0'){
	//  $sWhere .= " AND courier_name = '$courier_name' ";   
	    
	// }
	$sdate = $_GET['sdate'];
	$edate = $_GET['edate'];
	if($type == "I"){
		$sWhere = "WHERE stack_date BETWEEN STR_TO_DATE('$sdate','%d/%m/%Y') AND STR_TO_DATE('$edate','%d/%m/%Y')";
	}
	else if($type == "A"){
		$Where = "WHERE ";
	}
	else if($type == "O"){
		$sWhere = "WHERE picklist_date BETWEEN STR_TO_DATE('$sdate','%d/%m/%Y') AND STR_TO_DATE('$edate','%d/%m/%Y')";
	}
	if ( $_GET['sSearch'] != "")
	{
		if($type == "O" || $type == "I"){
			$sWhere .= " AND ";
		}
		else{
			$sWhere .= "WHERE ";
		}
		$sWhere .= "(stack_date like '%$srch%' OR sku_id like '%$srch%' OR sname like '%$srch%' OR description like '%$srch%' OR brand like '%$srch%' OR qty like '%$srch%' OR binid like '%$srch%' OR price like '%$srch%' OR categories like '%$srch%' OR categories like '%$srch%') ";
	}
	
	
	/* Individual column filtering */

for ($i = 0; $i < count($aColumns); $i++) {

    if (isset($_GET['bSearchable_' . $i]) && $_GET['bSearchable_' . $i] == "true" && $_GET['sSearch_' . $i] != '') {

        if ($sWhere == "") {

            $sWhere = "WHERE ";

        } else {

            $sWhere .= " AND ";

        }

        $sWhere .= $aColumns[$i] . " LIKE '%" . mysqli_real_escape_string($gaSql['link'], $_GET['sSearch_' . $i]) . "%' ";

    }

}



	

	

	/*

	 * SQL queries

	 * Get data to display

	 */

	 $sQuery = "

		SELECT SQL_CALC_FOUND_ROWS " . str_replace(" , ", " ", implode(", ", $aColumns)) . "

		FROM   $sTable

		$sWhere

		$sOrder

		$sLimit

	";

	

	//echo $sQuery;

	

$rResult = mysqli_query($gaSql['link'], $sQuery) or die(mysqli_error($gaSql['link']));

	



/* Data set length after filtering */

$sQuery = "

		SELECT FOUND_ROWS()

	";

$rResultFilterTotal = mysqli_query($gaSql['link'], $sQuery) or die(mysqli_error($gaSql['link']));

$aResultFilterTotal = mysqli_fetch_array($rResultFilterTotal);

$iFilteredTotal = $aResultFilterTotal[0];



/* Total data set length */

$sQuery = "

		SELECT COUNT(" . $sIndexColumn . ")

		FROM   $sTable

	";

$rResultTotal = mysqli_query($gaSql['link'], $sQuery) or die(mysqli_error($gaSql['link']));

$aResultTotal = mysqli_fetch_array($rResultTotal);

$iTotal = $aResultTotal[0];



	

	

	/*

	 * Output

	 */

	$output = array(

		"sEcho" => intval($_GET['sEcho']),

		"iTotalRecords" => $iTotal,

		"iTotalDisplayRecords" => $iFilteredTotal,

		"aaData" => array()

	);

	

	while ( $aRow = mysqli_fetch_array( $rResult ) )

	
	{
		$row = array();
		for ( $i=0 ; $i<count($aColumns) ; $i++ )
		{
			if ( $aColumns[$i] != ' ')
			{
				
				$row[] = $aRow[ $aColumns[$i] ];
			}
		}
		$output['aaData'][] = $row;
	}
	
	echo json_encode( $output );
?>